@import '../../sass/variables';
@import '../../sass/mixins';

#sidebar {
	@include fromBreakpoint(desktop) {
		display: none;
	}

	@include untilBreakpoint(desktop) {
		transition: transform 0.2s;
		position: absolute;
		bottom: 0;
		left: 0;
		top: $menubarHeight;
		background: black;
		padding-right: 20px;
		z-index: 1001;

		#sidebar-options {
			overflow: hidden;
			white-space: nowrap;
		}

		&:not(.open) {
			transform: translateX(-100%);
		}
	}
}
